# Uses of Class
javax.swing.text.LayeredHighlighter.LayerPainter

Packages that use LayeredHighlighter.LayerPainter
Package
Description
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of LayeredHighlighter.LayerPainter in javax.swing.text

Subclasses of LayeredHighlighter.LayerPainter in javax.swing.text
Modifier and Type
Class
Description
`static class`
`DefaultHighlighter.DefaultHighlightPainter`
Simple highlight painter that fills a highlighted area with a solid color.
Fields in javax.swing.text declared as LayeredHighlighter.LayerPainter
Modifier and Type
Field
Description
`static final LayeredHighlighter.LayerPainter`
DefaultHighlighter.`DefaultPainter`
Default implementation of LayeredHighlighter.LayerPainter that can be used for painting highlights.